MarmurChester62_93
Date: 2014-08-08

melting.approximativeMethods

## Class MarmurChester62_93

- java.lang.Object
- - melting.approximativeMethods.ApproximativeMode
  - - melting.approximativeMethods.MarmurChester62_93

- All Implemented Interfaces:
    MeltingComputationMethod, NamedMethod
  Direct Known Subclasses:
    MarmurChester62_93_corr

      public class MarmurChester62_93
      extends ApproximativeMode
      implements NamedMethod

  This class represents the model che93. It extends ApproximativeMode. Marmur J, Doty P, "Determination of the base composition of deoxyribonucleic acid from its thermal denaturation temperature", 1962, Journal of molecular biology, 5, 109-118. Chester N, Marshak DR, "dimethyl sulfoxide-mediated primer Tm reduction : a method for analyzing the role of renaturation temperature in the polymerase chain reaction", 1993, Analytical Biochemistry, 209, 284-290.

- - ### Field Summary

    - ### Fields inherited from class melting.approximativeMethods.ApproximativeMode

      `environment, register`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarmurChester62_93()` Sets up the private variables for the uncorrected version.
    `MarmurChester62_93(double parameter, java.lang.String methodName)` Sets up the private variables: `parameter` and `methodName`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `computesThermodynamics()` This method is called to compute the melting temperature.
    `java.lang.String` | `getName()` Gets the full name of the method.
    `boolean` | `isApplicable()` This method is called to check that the options entered by the users are applicable with the used model (class).
    `protected boolean` | `isNaEqPossible()` to check if a sodium equivalence is necessary.
    `void` | `setUpVariables(java.util.HashMap<java.lang.String,java.lang.String> options)` Creates the Environment object and set up the variables of the chosen model.

    - ### Methods inherited from class melting.approximativeMethods.ApproximativeMode

      `getRegister`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarmurChester62_93

          public MarmurChester62_93(double parameter,
                            java.lang.String methodName)

      Sets up the private variables: `parameter` and `methodName`.
      Parameters:
        `parameter` - 535 for the corrected version, 650 for the uncorrected version.
        `methodName` - The name of the method.

    - #### MarmurChester62_93

          public MarmurChester62_93()

      Sets up the private variables for the uncorrected version. The parameter for the uncorrected version is 650.

  - ### Method Detail

    - #### computesThermodynamics

          public ThermoResult computesThermodynamics()

      Description copied from interface: `MeltingComputationMethod`
      This method is called to compute the melting temperature.
      Specified by:
        `computesThermodynamics` in interface `MeltingComputationMethod`
      Overrides:
        `computesThermodynamics` in class `ApproximativeMode`
      Returns:
        ThermoResult containing the computed enthalpy, entropy and melting temperature.

    - #### isApplicable

          public boolean isApplicable()

      Description copied from interface: `MeltingComputationMethod`
      This method is called to check that the options entered by the users are applicable with the used model (class).
      Specified by:
        `isApplicable` in interface `MeltingComputationMethod`
      Overrides:
        `isApplicable` in class `ApproximativeMode`
      Returns:
        false if at least one chosen option makes the model completely false. If one chosen option may lead to less reliable results, a warning message will appear. (ex : wrong hybridization type)

    - #### setUpVariables

          public void setUpVariables(java.util.HashMap<java.lang.String,java.lang.String> options)

      Description copied from interface: `MeltingComputationMethod`
      Creates the Environment object and set up the variables of the chosen model.
      Specified by:
        `setUpVariables` in interface `MeltingComputationMethod`
      Overrides:
        `setUpVariables` in class `ApproximativeMode`
      Parameters:
        `options` - containing all the options (default options and options entered by the user)

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.

    - #### isNaEqPossible

          protected boolean isNaEqPossible()

      Description copied from class: `ApproximativeMode`
      to check if a sodium equivalence is necessary. (when other ions are present)
      Overrides:
        `isNaEqPossible` in class `ApproximativeMode`
      Returns:
        true if sodium equivalence is necessary.